CMSAuthenticatedData (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.cms

## Class CMSAuthenticatedData

- java.lang.Object
- - org.bouncycastle.cms.CMSAuthenticatedData

- All Implemented Interfaces:
    org.bouncycastle.util.Encodable

      public class CMSAuthenticatedData
      extends java.lang.Object
      implements org.bouncycastle.util.Encodable

  containing class for an CMS Authenticated Data object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CMSAuthenticatedData(byte[] authData)`
    `CMSAuthenticatedData(byte[] authData, DigestCalculatorProvider digestCalculatorProvider)`
    `CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)`
    `CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo, DigestCalculatorProvider digestCalculatorProvider)`
    `CMSAuthenticatedData(java.io.InputStream authData)`
    `CMSAuthenticatedData(java.io.InputStream authData, DigestCalculatorProvider digestCalculatorProvider)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.bouncycastle.asn1.cms.AttributeTable` | `getAuthAttrs()` return a table of the digested attributes indexed by the OID of the attribute.
    `byte[]` | `getContentDigest()`
    `org.bouncycastle.asn1.cms.ContentInfo` | `getContentInfo()` return the ContentInfo
    `byte[]` | `getEncoded()` return the ASN.1 encoded representation of this object.
    `byte[]` | `getMac()`
    `java.lang.String` | `getMacAlgOID()` return the object identifier for the content MAC algorithm.
    `org.bouncycastle.asn1.x509.AlgorithmIdentifier` | `getMacAlgorithm()` Return the MAC algorithm details for the MAC associated with the data in this object.
    `byte[]` | `getMacAlgParams()` return the ASN.1 encoded MAC algorithm parameters, or null if there aren't any.
    `OriginatorInformation` | `getOriginatorInfo()` Return the originator information associated with this message if present.
    `RecipientInformationStore` | `getRecipientInfos()` return a store of the intended recipients for this message
    `org.bouncycastle.asn1.cms.AttributeTable` | `getUnauthAttrs()` return a table of the undigested attributes indexed by the OID of the attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(byte[] authData)
                               throws CMSException

      Throws:
        `CMSException`

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(byte[] authData,
                              DigestCalculatorProvider digestCalculatorProvider)
                               throws CMSException

      Throws:
        `CMSException`

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(java.io.InputStream authData)
                               throws CMSException

      Throws:
        `CMSException`

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(java.io.InputStream authData,
                              DigestCalculatorProvider digestCalculatorProvider)
                               throws CMSException

      Throws:
        `CMSException`

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo)
                               throws CMSException

      Throws:
        `CMSException`

    - #### CMSAuthenticatedData

          public CMSAuthenticatedData(org.bouncycastle.asn1.cms.ContentInfo contentInfo,
                              DigestCalculatorProvider digestCalculatorProvider)
                               throws CMSException

      Throws:
        `CMSException`

  - ### Method Detail

    - #### getOriginatorInfo

          public OriginatorInformation getOriginatorInfo()

      Return the originator information associated with this message if present.
      Returns:
        OriginatorInformation, null if not present.

    - #### getMac

          public byte[] getMac()

    - #### getMacAlgorithm

          public org.bouncycastle.asn1.x509.AlgorithmIdentifier getMacAlgorithm()

      Return the MAC algorithm details for the MAC associated with the data in this object.
      Returns:
        AlgorithmIdentifier representing the MAC algorithm.

    - #### getMacAlgOID

          public java.lang.String getMacAlgOID()

      return the object identifier for the content MAC algorithm.

    - #### getMacAlgParams

          public byte[] getMacAlgParams()

      return the ASN.1 encoded MAC algorithm parameters, or null if there aren't any.

    - #### getRecipientInfos

          public RecipientInformationStore getRecipientInfos()

      return a store of the intended recipients for this message

    - #### getContentInfo

          public org.bouncycastle.asn1.cms.ContentInfo getContentInfo()

      return the ContentInfo

    - #### getAuthAttrs

          public org.bouncycastle.asn1.cms.AttributeTable getAuthAttrs()

      return a table of the digested attributes indexed by the OID of the attribute.

    - #### getUnauthAttrs

          public org.bouncycastle.asn1.cms.AttributeTable getUnauthAttrs()

      return a table of the undigested attributes indexed by the OID of the attribute.

    - #### getEncoded

          public byte[] getEncoded()
                            throws java.io.IOException

      return the ASN.1 encoded representation of this object.
      Specified by:
        `getEncoded` in interface `org.bouncycastle.util.Encodable`
      Throws:
        `java.io.IOException`

    - #### getContentDigest

          public byte[] getContentDigest()